xine-lib: demux_iff_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
demux_iff_t Struct Reference

## Data Fields
demux_plugin_t | demux_plugin
xine_stream_t * | stream
fifo_buffer_t * | video_fifo
fifo_buffer_t * | audio_fifo
input_plugin_t * | input
xine_bmiheader | bih
int | status
uint32_t | iff_type
uint32_t | iff_sub_type
Voice8Header * | vhdr
EGPoint * | atak
EGPoint * | rlse
uint32_t | chan_settings
uint32_t | pan_sposition
BitMapHeader * | bmhd
ColorRegister * | cmap
uint32_t | cmap_num
Point2D * | grab
DestMerge * | dest
SpritePrecedence | sprt
CamgChunk * | camg
CRange | crng [256]
uint32_t | crng_used
CcrtChunk * | ccrt
DPIHeader * | dpi
AnimHeader * | anhd
DPAnimChunk * | dpan
char * | title
char * | copyright
char * | author
char * | annotations
char * | version
char * | text
unsigned int | audio_type
unsigned int | audio_frames
unsigned int | audio_bits
unsigned int | audio_channels
unsigned int | audio_block_align
unsigned int | audio_bytes_per_second
unsigned char * | audio_interleave_buffer
uint32_t | audio_interleave_buffer_size
unsigned char * | audio_read_buffer
uint32_t | audio_read_buffer_size
int | audio_buffer_filled
uint32_t | audio_volume_left
uint32_t | audio_volume_right
uint32_t | audio_position
int | audio_compression_factor
int | video_send_palette
unsigned int | video_type
int64_t | video_pts
int64_t | video_pts_inc
unsigned int | running_time
off_t | data_start
off_t | data_size

## Field Documentation

## ◆ anhd

AnimHeader* demux_iff_t::anhd

## ◆ annotations

char* demux_iff_t::annotations

## ◆ atak

EGPoint* demux_iff_t::atak

## ◆ audio_bits

unsigned int demux_iff_t::audio_bits

## ◆ audio_block_align

unsigned int demux_iff_t::audio_block_align

## ◆ audio_buffer_filled

int demux_iff_t::audio_buffer_filled

## ◆ audio_bytes_per_second

unsigned int demux_iff_t::audio_bytes_per_second

## ◆ audio_channels

unsigned int demux_iff_t::audio_channels

## ◆ audio_compression_factor

int demux_iff_t::audio_compression_factor

## ◆ audio_fifo

fifo_buffer_t* demux_iff_t::audio_fifo

## ◆ audio_frames

unsigned int demux_iff_t::audio_frames

## ◆ audio_interleave_buffer

unsigned char* demux_iff_t::audio_interleave_buffer

## ◆ audio_interleave_buffer_size

uint32_t demux_iff_t::audio_interleave_buffer_size

## ◆ audio_position

uint32_t demux_iff_t::audio_position

## ◆ audio_read_buffer

unsigned char* demux_iff_t::audio_read_buffer

## ◆ audio_read_buffer_size

uint32_t demux_iff_t::audio_read_buffer_size

## ◆ audio_type

unsigned int demux_iff_t::audio_type

## ◆ audio_volume_left

uint32_t demux_iff_t::audio_volume_left

## ◆ audio_volume_right

uint32_t demux_iff_t::audio_volume_right

## ◆ author

char* demux_iff_t::author

## ◆ bih

xine_bmiheader demux_iff_t::bih

## ◆ bmhd

BitMapHeader* demux_iff_t::bmhd

## ◆ camg

CamgChunk* demux_iff_t::camg

## ◆ ccrt

CcrtChunk* demux_iff_t::ccrt

## ◆ chan_settings

uint32_t demux_iff_t::chan_settings

## ◆ cmap

ColorRegister* demux_iff_t::cmap

## ◆ cmap_num

uint32_t demux_iff_t::cmap_num

## ◆ copyright

char* demux_iff_t::copyright

## ◆ crng

CRange demux_iff_t::crng[256]

## ◆ crng_used

uint32_t demux_iff_t::crng_used

## ◆ data_size

off_t demux_iff_t::data_size

## ◆ data_start

off_t demux_iff_t::data_start

## ◆ demux_plugin

demux_plugin_t demux_iff_t::demux_plugin

## ◆ dest

DestMerge* demux_iff_t::dest

## ◆ dpan

DPAnimChunk* demux_iff_t::dpan

## ◆ dpi

DPIHeader* demux_iff_t::dpi

## ◆ grab

Point2D* demux_iff_t::grab

## ◆ iff_sub_type

uint32_t demux_iff_t::iff_sub_type

## ◆ iff_type

uint32_t demux_iff_t::iff_type

## ◆ input

input_plugin_t* demux_iff_t::input

## ◆ pan_sposition

uint32_t demux_iff_t::pan_sposition

## ◆ rlse

EGPoint* demux_iff_t::rlse

## ◆ running_time

unsigned int demux_iff_t::running_time

## ◆ sprt

SpritePrecedence demux_iff_t::sprt

## ◆ status

int demux_iff_t::status

## ◆ stream

xine_stream_t* demux_iff_t::stream

## ◆ text

char* demux_iff_t::text

## ◆ title

char* demux_iff_t::title

## ◆ version

char* demux_iff_t::version

## ◆ vhdr

Voice8Header* demux_iff_t::vhdr

## ◆ video_fifo

fifo_buffer_t* demux_iff_t::video_fifo

## ◆ video_pts

int64_t demux_iff_t::video_pts

## ◆ video_pts_inc

int64_t demux_iff_t::video_pts_inc

## ◆ video_send_palette

int demux_iff_t::video_send_palette

## ◆ video_type

unsigned int demux_iff_t::video_type

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/demuxers/demux_iff.c